Bug 65693 - RFF: missing support for some isdnctrl options in ifup-ippp
RFF: missing support for some isdnctrl options in ifup-ippp
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 04:20 EDT by Olivier Kurzweg
Modified: 2014-03-16 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 15:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Support for bureject, bind, dialtimeout and dialwait in ifup-ippp (3.60 KB, patch)
2002-05-30 04:21 EDT, Olivier Kurzweg
no flags Details | Diff
Same as above (patch id=58944) with auth patch from bug 65637 applied (3.71 KB, patch)
2002-05-30 04:29 EDT, Olivier Kurzweg
no flags Details | Diff

  None (edit)
Description Olivier Kurzweg 2002-05-30 04:20:21 EDT
Version-Release number of selected component (if applicable):
6.67-1

Description of Problem:
The current ifup-ippp is missing support for the following isdnctrl options: 
busreject, bind, dialtimeout, dialwait, budget and timeout rules. The first 4 
ones are absolutely no-brainers. The patch below implements these by 
introducing the following ifcfg variables, DRIVER_ID, BUSREJECT, BCHANNEL, 
DIALTIMEOUT, SLAVE_DIALTIMEOUT, DIALWAIT, SLAVE_DIALWAIT.

Of those missing options, busreject and bind are particularly important if you 
share your ISDN access with other devices (e.g. plain old phones):
- if busreject is activated (default behaviour of isdn drivers), incoming calls 
to your phones will get rejected!
- if you're using channel 0 for your phones, you certainly want to move the 
ISDN connections to channel 1 so that your phones can still be used when you're 
connected to the internet

Note that to use dialtimeout and dialwait options, you need to have TIMRU 
support in the kernel.

Budget and timeout rules are another matter. Supporting them might not be a 
piece of cake... Any idea?
Comment 1 Olivier Kurzweg 2002-05-30 04:21:46 EDT
Created attachment 58944 [details]
Support for bureject, bind, dialtimeout and dialwait in ifup-ippp
Comment 2 Olivier Kurzweg 2002-05-30 04:29:09 EDT
Created attachment 58945 [details]
Same as above (patch id=58944) with auth patch from bug 65637 applied
Comment 3 Bill Nottingham 2005-09-29 15:59:39 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.